// VCamFilterTestDlg.h : header file
//

#pragma once

class CVCamSDKImpl;

// CVCamFilterTestDlg dialog
class CVCamFilterTestDlg : public CDHtmlDialog
{
// Construction
public:
	CVCamFilterTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_VCamFilterTest_DIALOG, IDH = IDR_HTML_VCamFilterTest_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	HRESULT OnButtonOK(IHTMLElement *pElement);
	HRESULT OnButtonDevName(IHTMLElement *pElement);
	HRESULT OnButtonPlayFile(IHTMLElement *pElement);
	HRESULT OnButtonSeek(IHTMLElement *pElement);
	HRESULT OnButtonPlayDevice(IHTMLElement *pElement);
	HRESULT OnButtonScreenCapture(IHTMLElement *pElement);
	HRESULT OnButtonPlayBuffer(IHTMLElement *pElement);
	HRESULT OnButtonOverlay(IHTMLElement *pElement);
	HRESULT OnButtonStop(IHTMLElement *pElement);
	HRESULT OnButtonConfig(IHTMLElement *pElement);

private:
	CVCamSDKImpl* m_pVCam;

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClose();
	afx_msg void OnTimer(UINT nIDEvent);
	DECLARE_MESSAGE_MAP()
	DECLARE_DHTML_EVENT_MAP()
};
